Mailinglist Archive: opensuse (946 mails)

< Previous Next >
[opensuse] 11.0 note - do NOT update zlib - bad things will happen
  • From: "David C. Rankin" <drankinatty@xxxxxxxxxxxxxxxxxx>
  • Date: Thu, 14 Oct 2010 12:30:43 -0500
  • Message-id: <4CB73E43.80907@xxxxxxxxxxxxxxxxxx>
Guys,

Just a note for the few 11.0 boxes left out there. If you are updating
your box
with some of the newer packages in build service, etc... do NOT update zlib,
zlib-32bit and zlib-devel to 1.2.5 from 1.2.3 -- it will break just about
everything yast and gtk related (sw_single, firefox, thunderbird, gnome, etc..)

If you are bitten by this mistake, just grab the 1.2.3 packages from the
install dvd and reinstall with rpm or 'zypper in -f -r <discontinued-oss-repo>'.
The install/downgrade of zlib-devel will fail after the downgrade of zlib and
zlib-32bit on 64 bit boxes due to the broken link /lib64/libz.so.1 still
pointing to 1.2.5. Just fix the broken link so that libz.so.1 is linked to
libz.so.1.2.3 again and then install zlib-devel.

--
David C. Rankin, J.D.,P.E.
Rankin Law Firm, PLLC
510 Ochiltree Street
Nacogdoches, Texas 75961
Telephone: (936) 715-9333
Facsimile: (936) 715-9339
www.rankinlawfirm.com
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >